Economy

Get Steam Transaction

GET
/Steam/transactions/{transactionId}

Get a single Steam transactions by ID. This returns the exact same information as getSteamTransactions, so no point in using this endpoint.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

transactionId*string

Must be a valid transaction ID.

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/Steam/transactions/string"
{
  "agreement": {
    "agreement": "string",
    "agreementId": "string",
    "billingType": "string",
    "currency": "string",
    "endDate": "string",
    "failedAttempts": 0,
    "frequency": 0,
    "itemId": 0,
    "lastAmount": 0,
    "lastAmountVat": 0,
    "lastPayment": "string",
    "nextPayment": "string",
    "outstanding": 0,
    "period": "string",
    "recurringAmt": 0,
    "startDate": "string",
    "status": "string",
    "timeCreated": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "error": "string",
  "id": "txn_e5c72948-e735-4880-8245-24b2a41198b0",
  "isGift": false,
  "isTokens": false,
  "sandbox": false,
  "status": "active",
  "steam": {
    "orderId": "string",
    "steamId": "string",
    "steamUrl": "string",
    "transId": "string",
    "walletInfo": {
      "country": "SE",
      "currency": "EUR",
      "state": "",
      "status": "Trusted"
    }
  },
  "subscription": {
    "id": "vrchatplus-yearly",
    "description": "VRChat Plus (Yearly)",
    "amount": 9999,
    "period": "year",
    "steamItemId": "5000",
    "tier": 5
  },
  "updated_at": "2019-08-24T14:15:22Z",
  "userDisplayName": "string",
  "userId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}